package com.jzdsh.vo;


import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @ProjectName: auto
 * @Package: com.jzdsh.vo
 * @ClassName: HomepageVo
 * @Author: Jzdsh
 * @Description:
 * @Date: 2020/3/21 10:50
 * @Version: 1.0
 */
@Data
public class HomepageVo {

    /**
     * /店铺id
     */
    private Long id;

    /**
     * 县城 区域
     */
    private String district;

    /**
     * 顶部广告banner图 腰部 广告banner图 尾部 广告banner图
     */
    private List topBanner;
    private List middleBanner;
    private List tailBanner;

    /**
     * 公告
     */
    private List notice;

    /**
     * 一级服务类型
     */
    private List serviceCategoryOne;

    /**
     * 根上面一样，区别多加了一个 '推荐'
     */
    private List serviceCategoryOnes;

    /**
     * 二级服务类型
     */
    private List serviceCategoryTwo;

    /**
     * 车主服务
     */
    private List owner;

    private InnerCity innerCity;

    /**
     * 广告
     */
    private List ad;

    /**
     * 服务商
     */
    private List shop;

    /**
     * 角色
     */
    private String roleType = "0";

    /**
     * 用户状态
     */
    private UserStatus userStatus = new UserStatus( );


    @Getter
    @Setter
    public class InnerCity {
        private Boolean boolen;  //是否更新城市
        private String oldCity;  //旧城市
        private String newCity;  //新城市
        private String tips;     //提示
    }


}
