package com.jzdsh.vo;

import lombok.Getter;
import lombok.Setter;

/**
 * @description: 判断当前用户操作状态
 * @author: lc
 * @create 2019-10-09  15:32
 */
@Setter
@Getter
public class UserStatus {

    /**
     * 是否入驻  0否 1是
     */
    private String isEnter = "0";

    /**
     * 是否提交认证信息  0未提交  1已提交
     */
    private String isAuthInfo = "0";

    /**
     * 是否交钱  0未提交 1提交
     */
    private String isPay = "0";

    /**
     * 审核状态  0审核中 1审核未通过 2审核通过(已认证)
     */
    private String isAuthStatus = "0";

}
