package com.jzdsh.util;

/**
 * @description: 基本数据常量工具常
 * @author: lc
 * @create 2019-08-14  13:58
 */
public class CommonCons {


    private static String project_name = "/nvrnetwork";


    public static final String ZERO = "0";
    public static final String ONE = "1";
    public static final String TWO = "2";
    public static final String BRACKETS = "[]";
    public static final String UNDEFINED = "undefined";

    public static final String SYSTEM_MESSAGE = "系统消息";
    public static final String SYSTEM_MESSAGE_PAY_SUCCESS = "恭喜您,付款成功！";
    public static final String SYSTEM_MESSAGE_RENEW_SUCCESS = "恭喜您,续费成功！";
    public static final String SYSTEM_MESSAGE_NEW_USER = "恭喜您成为我们平台的新用户！";


    public static final String SYSTEM_EXCEPTION = "系统异常!";


    public static final String PICTURE_UPLOAD_SUCCESS = "图片上传成功！";


    //项目名
    public static final String ADMIN_PROJECT_NAME = project_name;
    public static final String PROJECT_NAME = project_name;


    //默认角色 车主
    public static final Integer ROLE_ZERO = 0;
    //商家类型 1服务商 2经销商
    public static final Integer ROLE_ONE = 1;
    public static final Integer ROLE_TWO = 2;

    //serviceCategory 层级
    public static final Integer LEVEL_ONE = 1;
    public static final Integer LEVEL_TWO = 2;
    public static final Integer LEVEL_THREE = 3;

    //用户状态 0 未认证
    public static final String USER_INFO_STATUS_ZERO = "0";
    public static final String USER_INFO_STATUS_ONE = "1";


    //---------------------------------------provider--------------------------------------

    //服务类型
    public static final String SERVICE_CATEGORY_STATUS_ONE = "1";  //一级类
    public static final String SERVICE_CATEGORY_STATUS_TWO = "2";  // 二级分类
    public static final String SERVICE_CATEGORY_STATUS_THREE = "3";  //    三级分类

    //服务商 认证状态 0 未认证 1已认证（店铺认证）
    public static final String PROVIDER_STATUS_ZERO = "0";
    public static final String PROVIDER_STATUS_ONE = "1";

    //该店铺是否在使用 0 未认领 1已认领（认领店铺）
    public static final String PROVIDER_IS_USE_ZERO = "0";
    public static final String PROVIDER_IS_USE_ONE = "1";

    //该店铺是否推荐 0否  1推荐
    public static final String PROVIDER_IS_HOT_ZERO = "0";
    public static final String PROVIDER_IS_HOT_ONE = "1";
    /**
     * 服务类型
     * 1:大类，2：二类，3：小类
     */
    public static final String CATEGORY_TPYE_ONE = "1";
    public static final String CATEGORY_TPYE_TWO = "2";
    public static final String CATEGORY_TPYE_THREE = "3";

    //界面服务项目显示9条信息
    public static final String CATEGORY_PAGE_NUMBER_ZERO = "0";
    public static final String CATEGORY_PAGE_SIZE_NINE = "9";

    //搜索默认 页码  显示 数量
    public static final Integer PAGE_NUMBER = 1;
    public static final Integer PAGE_SIZE = 15;


    //服务商入住图片上传路径
    public static final String PICTURE_AUTHENTICATION = "picture/authentication";
    //服务项目 封面图片上传
    public static final String PICTURE_SERVICE_ITEM = "picture/service_item";

    //log图上传路径
    public static final String LOG_PICTURE = "picture/log";
    //banner图片上传路径
    public static final String BANNER_PICTURE = "picture/banner";
    //photos图册上传路径
    public static final String PHOTOS_PICTURE = "picture/photos";

    //采购单 图片上传路径
    public static final String DEMAND_PICTURE = "picture/demand";


    //vin 码 图
    public static final String PICTURE_VIN = "picture/vin";


    /**
     * banner 图片显示位置
     * 1 顶部，2腰部 ，3尾部(类详情)
     */
    public static final String BANNER_POSITION_ONE = "1";
    public static final String BANNER_POSITION_TWO = "2";
    public static final String BANNER_POSITION_THREE = "3";

    /**
     * 车系 series
     */
    // 1 车系/欧系.. ，2 品牌
    public static final String SERIES_STATUS_ONE = "1";
    public static final String SERIES_STATUS_TWO = "2";

    /**
     * authentication
     * 认证 状态  0 审核中 1 未通过 2通过
     */
    public static final String AUTHENTICATION_STATUS_ZERO = "0";
    public static final String AUTHENTICATION_STATUS_ONE = "1";
    public static final String AUTHENTICATION_STATUS_TWO = "2";

    //authentication 是否付款  0否 1是
    public static final String AUTHENTICATION_ISPAY_ZERO = "0";
    public static final String AUTHENTICATION_ISPAY_ONE = "1";
    //authentication 是否处理  0未 1是
    public static final String AUTHENTICATION_DEAL_ZERO = "0";
    public static final String AUTHENTICATION_DEAL_ONE = "1";

    /**
     * mall 商城管理
     */
    // 0 未审核  1 已审核
    public static final String MALL_STATUS_ZERO = "0";
    public static final String MALL_STATUS_ONE = "1";

    //order 订单状态 0 未支付，1已支付
    public static final String ORDER_STATUS_ZERO = "0";
    public static final String ORDER_STATUS_ONE = "1";

    /**
     * 商家
     * 默认 logo
     * 默认 banner
     */
    public static final String DEFAULT_STORE_LOGO = "/nvrnetwork/static/imgs/logo_store.jpg";
    public static final String DEFAULT_STORE_BANNER = "/nvrnetwork/static/imgs/banner_store.jpg";

    /**
     * 地址纠错
     */
    //地址纠错上传图片
    public static final String ADDRESS_CORRECTION_PICTURE = "picture/address_correction";
    //状态 0 未解决 1 已解决
    public static final String ADDRESS_CORRECTION_STATUS_ZERO = "0";
    public static final String ADDRESS_CORRECTION_STATUS_ONE = "1";

    /**
     * 车主服务
     */
    //是否推荐 推荐首页展示  0否 1是
    public static final String OWNER_SERVICE_RECOMMENDATION_ZERO = "0";
    public static final String OWNER_SERVICE_RECOMMENDATION_ONE = "1";

    /**
     * 消息中心 是否已读
     */
    public static String MESSAGE_IS_READ_ZERO = "0";
    public static String MESSAGE_IS_READ_ONE = "1";

    /**
     * 留言反馈
     */
    public static String FEEDBACK_IS_REPLY_ZERO = "0";
    public static String FEEDBACK_IS_REPLY_ONE = "1";


    /**
     * 优惠券 类型 设置
     */
    public static final String COUPON_SET_TYPE_ZERO = "0"; //默认 优惠券 与 商家入驻
    public static final String COUPON_SET_TYPE_ONE = "1";

    //----------------------------------------------------------------------------------------
    //-----------------------------------------dealer-----------------------------------------------

    public static final int DISTANCE = 5001; // 默认5公里 显示范围  最近商家

    /**
     * AuthCoupon 认证优惠券
     * is_use  该优惠券 是否已使用
     */
    public static final String AUTHCOUPON_IS_USE_ZERO = "0";
    public static final String AUTHCOUPON_IS_USE_ONE = "1";

    /**
     * 优惠券   来源
     * source 0 正常入驻 ,1 分享入驻
     */
    public static final String AUTHCOUPON_SOURCE_ZERO = "0";
    public static final String AUTHCOUPON_SOURCE_ONE = "1";
    // 优惠金额  默认 60元
    public static final Integer AUTHCOUPON_MONEY = 60;

    //经销商图册名称
    public static final String DEALER_PICTURE_IMG = "dealerPictureImg";


    // 优势产品 图
    public static final String PRODUCT_PICTURE_IMG = "product_img";

    //----------------------------------------------------------------------------------------

    /**
     * sm4 加密 key
     */
    public static final String SM4KEY = "nvrnetwork#";


    /**
     * 26个大写英文字母 根据字母索引使用   wzq
     */
    public static final String CAPITAL_ENGLISH_LETTER = "A,B,C,D,E,F,G,H,I,J,K,L,M,N,O,P,Q,R,S,T,U,V,W,X,Y,Z";
    /**
     * 商家导出字段数组   wzq
     */
    public static final String[] BUSINESS_EXPORT_FIELD = {"店铺名称", "用户昵称", "企业名称", "省", "市", "区", "服务类别", "用户电话", "店铺电话", "入驻时间", "最后登录时间", "认证状态", "认证时间", "推荐人姓名", "推荐人手机号", "推荐人城市", "录入人姓名", "浏览量"};

}
